* {
    margin: 0;
    padding: 0;
    font-family: 'Noto Sans';
    font-size: 1rem;
    user-select: none;
    transition: 
        transform var(--animation-timing), 
        background var(--animation-timing), 
        color var(--animation-timing), 
        opacity var(--animation-timing)
    ;
    -webkit-tap-highlight-color: transparent;
}

body {
    display: flex;
    flex-direction: column;
    background-color: #000;
    color: #fff;
    width: 100vw;
    height: 100dvh;
    overflow: hidden;
}

aside {
    position: fixed;
    width: 100vw;
    display: flex;
    /* gap: .2rem; */
    /* flex-direction: column; */
    overflow-y: auto;
    scrollbar-width: thin;
    scrollbar-color: #999 #000;

}
main {
    display: flex;
    flex-direction: column;
    padding: 3rem 1rem 2rem;
    overflow-y: auto;
    /* mask-image: linear-gradient(to bottom, #000 95%, transparent); */
    scrollbar-width: none;
    scrollbar-color: #999 #000;
    /* scroll-margin-top: 3rem; */
}

.folder {
    margin: .5rem 0 1rem;
    display: flex;
    flex-wrap: wrap;
    gap: 1rem;
}

.folder p {
    display: flex;
}

modal {
    z-index: 1000;
    position: fixed;
    height: 100dvh;
    width: 100vw;
    display: flex;
    justify-content: center;
    align-items: center;
    background: rgba(0,0,0,.5);

}

modal .content {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 1rem;
    padding: 1rem;
    margin: 1rem;
    max-width: 600px;
}

modal .content .title {
    display: flex;
    justify-content: space-between;
    width: 100%;
    gap: 10vw;
}
modal .content .title h2 {
    font-weight: normal;
}
modal .content .title svg {
    border-radius: 100rem;
    cursor: pointer;
    fill: #fff;
}
modal .content .title svg:hover {
    background: rgba(255,255,255,.1);
}
modal .content .raw {
    width: 100%;
}
modal .content .raw button {
    padding: .4rem .8rem .5rem;
    border-radius: .5rem;
    margin-bottom: .3rem;
    cursor: pointer;
}

modal .content *:not(.title) {
    user-select: text;
}
modal .content .raw code {
    font-family: monospace;
    background: rgba(255,255,255,.1);
    padding: 0 .2rem;
    border-radius: .3rem;
    user-select: all;
}

@media (max-width: 450px) {

    main .folder {
        display: flex;
        flex-direction: column;
    }
}


